[arch-commits] Commit in namcap/repos (testing-any testing-any/PKGBUILD)

Rémy Oudompheng remy at archlinux.org
Thu Oct 13 18:36:36 EDT 2011


    Date: Thursday, October 13, 2011 @ 18:36:36
  Author: remy
Revision: 140425

archrelease: copy trunk to testing-any

Added:
  namcap/repos/testing-any/
  namcap/repos/testing-any/PKGBUILD
    (from rev 140424, namcap/trunk/PKGBUILD)

----------+
 PKGBUILD |   32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

Copied: namcap/repos/testing-any/PKGBUILD (from rev 140424, namcap/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD	                        (rev 0)
+++ testing-any/PKGBUILD	2011-10-13 22:36:36 UTC (rev 140425)
@@ -0,0 +1,32 @@
+# $Id$
+# Maintainer : Rémy Oudompheng <remy at archlinux.org>
+# Contributor: Hugo Doria <hugo at archlinux.org>
+
+pkgname=namcap
+pkgver=3.2
+pkgrel=1
+pkgdesc="A Pacman package analyzer"
+arch=('any')
+url="http://projects.archlinux.org/namcap.git/"
+license=('GPL')
+depends=('python' 'pyalpm>=0.5' 'licenses')
+makedepends=('python-distribute')
+source=(ftp://ftp.archlinux.org/other/$pkgname/${pkgname}-${pkgver}.tar.gz)
+md5sums=('5fc3139ddc38873e5b8b3b43606061a6')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  python setup.py build
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  env PARSE_PKGBUILD_PATH=${srcdir}/${pkgname}-${pkgver} \
+      PATH=${srcdir}/${pkgname}-${pkgver}:$PATH \
+      python setup.py test || true
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  python setup.py install --root=${pkgdir}
+}



More information about the arch-commits mailing list